#!/bin/sh
#
PROJ="-R-121.0/-115.0/32.0/36.5 -Jm3.2"
SCALE="-S500"
gmtset COLOR_MODEL hsv
gmtset PAPER_MEDIA letter
gmtset PAGE_ORIENTATION landscape
makecpt -Cgray -T-1.8/.5/.1 -D -Z > grad.cpt
#
#   image the topo 
#
grdimage grad.grd $PROJ -Cgrad.cpt -X1.5 -Y1.0 -K -V > $1_azi.ps
#
#   make the vectors for the SHmax and plot
#
awk '{print $1, $2,sin($5*.01745328),cos($5*.01745328),"0. 0. 0."}' < hmax_G05N30_$1.dat > vec.dat
psvelo vec.dat -R -W1,blue -Gblue -L -Se0.20/0/0  -Jm -O -K -A0.01/0.0/0.0 -P -V >> $1_azi.ps
#
#   make the vectors for the strain rate and plot - also subtract the mean
#
awk -v mean="$4" '{print $1, $2,sin(($10-mean)*.01745328),cos(($10-mean)*.01745328),"0. 0. 0."}' < hmax_G05N30_$1.dat > vec.dat
psvelo vec.dat -R -W1,green -Ggreen -L -Se0.20/0/0  -Jm -O -K -A0.01/0.0/0.0 -P -V >> $1_azi.ps
#
#  add faults, coastlines
#
pscoast $PROJ -W6 -Dh -A200 -B2WSen:."$1 $2 $4 $3 $5": -O -V -N1 -N2 -K >> $1_azi.ps
psxy fault_data.gmt -m $PROJ -W2 -O -V >> $1_azi.ps
#


